commit: dca7d557fea59235f738d55369686ce3a1bc577f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 22 19:48:43 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 22 20:06:03 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dca7d557
x11-misc/revelation: Use dev-python/pycryptodome
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../{revelation-0.5.4.ebuild => revelation-0.5.4-r1.ebuild} | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/x11-misc/revelation/revelation-0.5.4.ebuild
b/x11-misc/revelation/revelation-0.5.4-r1.ebuild
similarity index 85%
rename from x11-misc/revelation/revelation-0.5.4.ebuild
rename to x11-misc/revelation/revelation-0.5.4-r1.ebuild
index 0f47118e8de..e7a9a4ea2c7 100644
--- a/x11-misc/revelation/revelation-0.5.4.ebuild
+++ b/x11-misc/revelation/revelation-0.5.4-r1.ebuild
@@ -22,7 +22,7 @@ RESTRICT="test"
RDEPEND="${PYTHON_DEPS}
$(python_gen_cond_dep '
- dev-python/pycryptodomex[${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
dev-python/pygobject[${PYTHON_USEDEP}]
dev-libs/libpwquality[python,${PYTHON_USEDEP}]
')
@@ -33,6 +33,12 @@ RDEPEND="${PYTHON_DEPS}
DEPEND="${RDEPEND}"
+src_prepare() {
+ find -name '*.py' -exec \
+ sed -i -e 's:Cryptodome:Crypto:' meson.build {} + || die
+ xdg_src_prepare
+}
+
src_install() {
meson_src_install
python_fix_shebang "${ED}"